DemeWebTraning/Models/LoginModel.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace DemeWebTraning.Models
{
    public class LoginModel
    {
        public string username { get; set; }
        public string password { get; set; }
    }
}

DemeWebTraning/Models/RegisterModel.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace DemeWebTraning.Models
{
    public class RegisterModel
    {
        public string regisNo { get; set; }
        public string organization { get; set; }

        public string firstName { get; set; }

        public string surName { get; set; }

        public string email { get; set; }

        public string confirmEmail { get; set; }

        public string mobileNo { get; set; }

        public string price { get; set; }

        public string payAmount { get; set; }

        public string payInDate { get; set; }

        public string payInTime { get; set; }

        public HttpPostedFileBase FilePicture { get; set; }

        public string UserImage { get; set; }

        public string search { get; set; }


    }
}

DemeWebTraning/Controllers/HomeController.cs
using DemeWebTraning.Models;
using Microsoft.Ajax.Utilities;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DemeWebTraning.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Home()
        {
            return View();
        }

        public ActionResult Register(RegisterModel model)
        {
            if(model.FilePicture != null && model.FilePicture.ContentLength > 0)
            {
                var fileName = Path.GetFileName(model.FilePicture.FileName);
                var saveName = DateTime.Now.ToFileTime() + "_" + fileName;
                var path = Path.Combine(Server.MapPath("~/MiddleFiles/UserIMG"), saveName);
                model.UserImage = saveName;
                model.FilePicture.SaveAs(path);
            }
            else
            {
                model.UserImage = "";
            }
            return RedirectToAction("Home");
        }

        public JsonResult SearchUser(RegisterModel model)
        {
            model.mobileNo = "0955740669";
            return Json(model);
        }
        
    }
}

DemeWebTraning/Controllers/LoginController.cs
using DemeWebTraning.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DemeWebTraning.Controllers
{
    public class LoginController : Controller
    {
        // GET: Login
        public ActionResult Login()
        {
            return View();
        }

        public ActionResult Authentication(string tag)
        {
            ViewBag.Tag = tag;
            ViewBag.Status = TempData["Status"];
            return View();
        }

        public ActionResult Contact()
        {
            return View();
        }

        [HttpPost]
        public ActionResult UserLogin(LoginModel user)
        {
            
            var userLogin = user;
            if(userLogin.username.Equals("admin") && userLogin.password.Equals("1234"))
            {
                TempData["Status"] = "Y";
                return RedirectToAction("Home", "Home");
            }
            else
            {
                TempData["Status"] = "N";
                return RedirectToAction("Authentication");

            }
        }


    }
}

DemeWebTraning/Views/Login/Authentication.cshtml
@using DemeWebTraning.Models
@model DemeWebTraning.Models.LoginModel
@{
    ViewBag.Title = "Authentication";
}
<style>
    .login-container {
        background: #222 url('https://unsplash.it/1920/1080/?random') center center no-repeat;
        /*        margin-top: 5%;
        margin-bottom: 5%;*/
    }

    .login-form-2 {
        padding: 5%;
        background: #0062cc;
        box-shadow: 0 5px 8px 0 rgba(0, 0, 0, 0.2), 0 9px 26px 0 rgba(0, 0, 0, 0.19);
    }

        .login-form-2 h3 {
            text-align: center;
            color: #fff;
        }

    .login-container form {
        padding: 10%;
    }

    .btnSubmit {
        width: 50%;
        border-radius: 1rem;
        padding: 1.5%;
        border: none;
        cursor: pointer;
    }

    .login-form-2 .btnSubmit {
        font-weight: 600;
        color: #0062cc;
        background-color: #fff;
    }

    .login-form-2 .ForgetPwd {
        color: #fff;
        font-weight: 600;
        text-decoration: none;
    }

    .form-group {
        margin-top: 15px;
    }

    .form-control {
        display: inline;
    }

    /*login*/
    .card {
        padding: 30px 40px;
        margin-top: 60px;
        margin-bottom: 60px;
        border: none !important;
        box-shadow: 0 6px 12px 0 rgba(0, 0, 0, 0.2)
    }

    .blue-text {
        color: #00BCD4
    }

    .form-control-label {
        margin-bottom: 0
    }

    input,
    textarea,
    button {
        padding: 8px 15px;
        border-radius: 5px !important;
        margin: 5px 0px;
        box-sizing: border-box;
        border: 1px solid #ccc;
        font-size: 18px !important;
        font-weight: 300
    }

        input:focus,
        textarea:focus {
            -moz-box-shadow: none !important;
            -webkit-box-shadow: none !important;
            box-shadow: none !important;
            border: 1px solid #00BCD4;
            outline-width: 0;
            font-weight: 400
        }

    .btn-block {
        text-transform: uppercase;
        font-size: 15px !important;
        font-weight: 400;
        height: 43px;
        cursor: pointer
    }

        .btn-block:hover {
            color: #fff !important
        }

    button:focus {
        -moz-box-shadow: none !important;
        -webkit-box-shadow: none !important;
        box-shadow: none !important;
        outline-width: 0
    }
</style>

@*<div class="container-fluid login-container min-vh-100">
    <div class="row">
        <div class="col-xl-5 col-lg-6 col-md-12 col-sm-10 mx-auto text-center form p-4">
            <h3>Login</h3>
            @using (Html.BeginForm("UserLogin", "Login", FormMethod.Post))
            {
                <div class="text-center" style="text-align:center;">
                    <div class="form-group text-center">
                        <input type="text" class="form-control" placeholder="Your Email *" value="" name="username" id="username" required="" />

                    </div>
                    <div class="form-group">
                        <input type="password" class="form-control" placeholder="Your Password *" value="" name="password" id="password" required />
                    </div>
                    <div class="form-group">
                        <input type="submit" class="btnSubmit" value="Login" id="submitButton" />
                    </div>
                </div>

                <div class="form-group">
                        <a href="#" class="ForgetPwd" value="Login">Forget Password?</a>
                    </div>
            }

        </div>
    </div>
</div>*@
<div class="container-fluid px-1 py-5 mx-auto">
    <div class="row d-flex justify-content-center">
        <div class="col-md-5 text-center">
            @if (ViewBag.Status == "N")
            {
                <div class="alert alert-danger" id="error-alert" role="alert">
                    ไม่สำเร็จ กรุณาลองอีกครั้ง!
                </div>
            }

            <div class="card">
                <h5 class="text-center mb-4">Login</h5>
                @using (Html.BeginForm("UserLogin", "Login", FormMethod.Post, new { id = "", data_parsley_validate = "", enctype = "multipart/form-data" }))
                {
                    <div class="row justify-content-center text-start">
                        <div class="form-group col-md-12 flex-column d-flex"> <label class="form-control-label px-3">Email<span class="text-danger"> *</span></label> <input type="text" id="fname" name="username" placeholder="Enter your first email" onblur="validate(1)" required data-parsley-required-message="กรุณาระบุ อีเมล"> </div>
                    </div>
                    <div class="row justify-content-center text-start">
                        <div class="form-group col-md-12 flex-column d-flex"> <label class="form-control-label px-3">Password<span class="text-danger"> *</span></label> <input type="password" id="fname" name="password" placeholder="Enter your first password" onblur="validate(1)" required data-parsley-required-message="กรุณาระบุ รหัสผ่าน"> </div>
                    </div>
                    <div class="row justify-content-center">
                        <div class="form-group col-sm-6"> <button type="submit" class="btn-block btn-primary">Login</button> </div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        $(document).ready(function () {
            $("#error-alert").hide();
            $("#error-alert").fadeTo(2000, 500).slideUp(500, function () {
                $("#error-alert").slideUp(500);
            });
        });
        function validate(val) {
            v1 = document.getElementById("fname");
            v2 = document.getElementById("lname");
            v3 = document.getElementById("email");
            v4 = document.getElementById("mob");
            v5 = document.getElementById("job");
            v6 = document.getElementById("ans");

            flag1 = true;
            flag2 = true;
            flag3 = true;
            flag4 = true;
            flag5 = true;
            flag6 = true;

            if (val >= 1 || val == 0) {
                if (v1.value == "") {
                    v1.style.borderColor = "red";
                    flag1 = false;
                }
                else {
                    v1.style.borderColor = "green";
                    flag1 = true;
                }
            }

            if (val >= 2 || val == 0) {
                if (v2.value == "") {
                    v2.style.borderColor = "red";
                    flag2 = false;
                }
                else {
                    v2.style.borderColor = "green";
                    flag2 = true;
                }
            }
            if (val >= 3 || val == 0) {
                if (v3.value == "") {
                    v3.style.borderColor = "red";
                    flag3 = false;
                }
                else {
                    v3.style.borderColor = "green";
                    flag3 = true;
                }
            }
            if (val >= 4 || val == 0) {
                if (v4.value == "") {
                    v4.style.borderColor = "red";
                    flag4 = false;
                }
                else {
                    v4.style.borderColor = "green";
                    flag4 = true;
                }
            }
            if (val >= 5 || val == 0) {
                if (v5.value == "") {
                    v5.style.borderColor = "red";
                    flag5 = false;
                }
                else {
                    v5.style.borderColor = "green";
                    flag5 = true;
                }
            }
            if (val >= 6 || val == 0) {
                if (v6.value == "") {
                    v6.style.borderColor = "red";
                    flag6 = false;
                }
                else {
                    v6.style.borderColor = "green";
                    flag6 = true;
                }
            }

            flag = flag1 && flag2 && flag3 && flag4 && flag5 && flag6;

            return flag;
        }
    </script>
}

DemeWebTraning/Views/Login/Contact.cshtml
@using DemeWebTraning.Models
@model DemeWebTraning.Models.LoginModel
@{
    ViewBag.Title = "Contact";
}

<style>
    .card {
        padding: 30px 40px;
        margin-top: 60px;
        margin-bottom: 60px;
        border: none !important;
        box-shadow: 0 6px 12px 0 rgba(0, 0, 0, 0.2)
    }

    .blue-text {
        color: #00BCD4
    }

    .form-control-label {
        margin-bottom: 0
    }

    input,
    textarea,
    button {
        padding: 8px 15px;
        border-radius: 5px !important;
        margin: 5px 0px;
        box-sizing: border-box;
        border: 1px solid #ccc;
        font-size: 18px !important;
        font-weight: 300
    }

        input:focus,
        textarea:focus {
            -moz-box-shadow: none !important;
            -webkit-box-shadow: none !important;
            box-shadow: none !important;
            border: 1px solid #00BCD4;
            outline-width: 0;
            font-weight: 400
        }

    .btn-block {
        text-transform: uppercase;
        font-size: 15px !important;
        font-weight: 400;
        height: 43px;
        cursor: pointer
    }

        .btn-block:hover {
            color: #fff !important
        }

    button:focus {
        -moz-box-shadow: none !important;
        -webkit-box-shadow: none !important;
        box-shadow: none !important;
        outline-width: 0
    }
</style>
<div class="container-fluid px-1 py-5 mx-auto">
    <div class="row d-flex justify-content-center">
        <div class="col-xl-7 col-lg-8 col-md-9 col-11 text-center">
            <div class="card">
                <h5 class="text-center mb-4">Contact</h5>
                <form class="" onsubmit="event.preventDefault()">
                    <div class="row justify-content-between text-left">
                        <div class="form-group col-sm-6 flex-column d-flex"> <label class="form-control-label px-3">First name<span class="text-danger"> *</span></label> <input type="text" id="fname" name="fname" placeholder="Enter your first name" onblur="validate(1)"> </div>
                        <div class="form-group col-sm-6 flex-column d-flex"> <label class="form-control-label px-3">Last name<span class="text-danger"> *</span></label> <input type="text" id="lname" name="lname" placeholder="Enter your last name" onblur="validate(2)"> </div>
                    </div>
                    <div class="row justify-content-between text-left">
                        <div class="form-group col-sm-6 flex-column d-flex"> <label class="form-control-label px-3">Business email<span class="text-danger"> *</span></label> <input type="text" id="email" name="email" placeholder="" onblur="validate(3)"> </div>
                        <div class="form-group col-sm-6 flex-column d-flex"> <label class="form-control-label px-3">Phone number<span class="text-danger"> *</span></label> <input type="text" id="mob" name="mob" placeholder="" onblur="validate(4)"> </div>
                    </div>
                    <div class="row justify-content-between text-left">
                        <div class="form-group col-sm-6 flex-column d-flex"> <label class="form-control-label px-3">Job title<span class="text-danger"> *</span></label> <input type="text" id="job" name="job" placeholder="" onblur="validate(5)"> </div>
                    </div>
                    <div class="row justify-content-between text-left">
                        <div class="form-group col-12 flex-column d-flex"> <label class="form-control-label px-3">What would you be using Flinks for?<span class="text-danger"> *</span></label> <input type="text" id="ans" name="ans" placeholder="" onblur="validate(6)"> </div>
                    </div>
                    <div class="row justify-content-center">
                        <div class="form-group col-sm-6"> <button type="submit" class="btn-block btn-primary">Request</button> </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        function validate(val) {
            v1 = document.getElementById("fname");
            v2 = document.getElementById("lname");
            v3 = document.getElementById("email");
            v4 = document.getElementById("mob");
            v5 = document.getElementById("job");
            v6 = document.getElementById("ans");

            flag1 = true;
            flag2 = true;
            flag3 = true;
            flag4 = true;
            flag5 = true;
            flag6 = true;

            if (val >= 1 || val == 0) {
                if (v1.value == "") {
                    v1.style.borderColor = "red";
                    flag1 = false;
                }
                else {
                    v1.style.borderColor = "green";
                    flag1 = true;
                }
            }

            if (val >= 2 || val == 0) {
                if (v2.value == "") {
                    v2.style.borderColor = "red";
                    flag2 = false;
                }
                else {
                    v2.style.borderColor = "green";
                    flag2 = true;
                }
            }
            if (val >= 3 || val == 0) {
                if (v3.value == "") {
                    v3.style.borderColor = "red";
                    flag3 = false;
                }
                else {
                    v3.style.borderColor = "green";
                    flag3 = true;
                }
            }
            if (val >= 4 || val == 0) {
                if (v4.value == "") {
                    v4.style.borderColor = "red";
                    flag4 = false;
                }
                else {
                    v4.style.borderColor = "green";
                    flag4 = true;
                }
            }
            if (val >= 5 || val == 0) {
                if (v5.value == "") {
                    v5.style.borderColor = "red";
                    flag5 = false;
                }
                else {
                    v5.style.borderColor = "green";
                    flag5 = true;
                }
            }
            if (val >= 6 || val == 0) {
                if (v6.value == "") {
                    v6.style.borderColor = "red";
                    flag6 = false;
                }
                else {
                    v6.style.borderColor = "green";
                    flag6 = true;
                }
            }

            flag = flag1 && flag2 && flag3 && flag4 && flag5 && flag6;

            return flag;
        }
    </script>
}

DemeWebTraning/Views/Login/Login.cshtml
@{
    ViewBag.Title = "Login";
}

<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <img src="~/assets/img/banner/banner2.jpg" class="img-fluid" />
        </div>
    </div>
    <div class="row">
        <div class="col-md-4">
            <img src="~/assets/img/staffs/staff1.jpg" class="img-fluid" />
            <h1>CEO</h1>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Optio odit illum autem porro! Quisquam
                voluptatibus nesciunt impedit, suscipit corporis, minus culpa molestiae necessitatibus blanditiis,
                repellat mollitia beatae hic voluptatum deleniti.
            </p>
        </div>
        <div class="col-md-4">
            <img src="~/assets/img/staffs/staff2.jpg" class="img-fluid" />
            <h1>CEO</h1>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Optio odit illum autem porro! Quisquam
                voluptatibus nesciunt impedit, suscipit corporis, minus culpa molestiae necessitatibus blanditiis,
                repellat mollitia beatae hic voluptatum deleniti.
            </p>
        </div>
        <div class="col-md-4">
            <img src="~/assets/img/staffs/staff3.jpg" class="img-fluid" />
            <h1>CEO</h1>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Optio odit illum autem porro! Quisquam
                voluptatibus nesciunt impedit, suscipit corporis, minus culpa molestiae necessitatibus blanditiis,
                repellat mollitia beatae hic voluptatum deleniti.
            </p>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6 col-md-12">
            <div class="row">
                <div class="col-md-4">
                    <img src="~/assets/img/life/life2.jpg" class="img-fluid img-circle" />
                </div>
                <div class="col-md-8">
                    <h1>Service</h1>
                    <p>
                        Lorem ipsum dolor sit amet consectetur adipisicing elit. Optio odit illum autem porro! Quisquam
                        voluptatibus nesciunt impedit, suscipit corporis, minus culpa molestiae necessitatibus blanditiis,
                        repellat mollitia beatae hic voluptatum deleniti.
                    </p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <img src="~/assets/img/life/life2.jpg" class="img-fluid img-circle" />
                </div>
                <div class="col-md-8">
                    <h1>Service</h1>
                    <p>
                        Lorem ipsum dolor sit amet consectetur adipisicing elit. Optio odit illum autem porro! Quisquam
                        voluptatibus nesciunt impedit, suscipit corporis, minus culpa molestiae necessitatibus blanditiis,
                        repellat mollitia beatae hic voluptatum deleniti.
                    </p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <img src="~/assets/img/life/life2.jpg" class="img-fluid img-circle" />
                </div>
                <div class="col-md-8">
                    <h1>Service</h1>
                    <p>
                        Lorem ipsum dolor sit amet consectetur adipisicing elit. Optio odit illum autem porro! Quisquam
                        voluptatibus nesciunt impedit, suscipit corporis, minus culpa molestiae necessitatibus blanditiis,
                        repellat mollitia beatae hic voluptatum deleniti.
                    </p>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-md-12">
            <img src="~/assets/img/content/office12.jpg" / class="img-fluid">
            <h1>About</h1>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Optio odit illum autem porro! Quisquam
                voluptatibus nesciunt impedit, suscipit corporis, minus culpa molestiae necessitatibus blanditiis,
                repellat mollitia beatae hic voluptatum deleniti.
            </p>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <img src="~/assets/img/banner/banner6.jpg" class="img-fluid" />
        </div>
    </div>
    <footer class="row p-5">
        <div class="col-12">
            <h1 class="text-center">
                Nothing in life is to be feared,
                it is only to be understood.
                Now is the time to understand more,
                so that we may fear less.
            </h1>
        </div>
    </footer>
</div>
@section scripts{

}

DemeWebTraning/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
 
</head>
<body>

    <!-- Navbar-->
    <header class="header">
        <nav class="navbar navbar-expand-lg fixed-top py-3">
            <div class="container">
                <a href="@Url.Action("Login","Login")" class="navbar-brand text-uppercase font-weight-bold">DemoWebTraning</a>
                <button type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation" class="navbar-toggler navbar-toggler-right"><i class="fa fa-bars"></i></button>

                <div id="navbarSupportedContent">
                    <ul class="navbar-nav ml-auto">
                        <li class="nav-item active"><a href="@Url.Action("Login","Login")" class="nav-link text-uppercase font-weight-bold">Home <span class="sr-only">(current)</span></a></li>
                        <li class="nav-item"><a href="#" class="nav-link text-uppercase font-weight-bold">About</a></li>
                        <li class="nav-item"><a href="#" class="nav-link text-uppercase font-weight-bold">Gallery</a></li>
                        <li class="nav-item"><a href="@Url.Action("Authentication","Login")" class="nav-link text-uppercase font-weight-bold">Login</a></li>
                        <li class="nav-item"><a href="@Url.Action("Contact","Login")" class="nav-link text-uppercase font-weight-bold">Contact</a></li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>

    @RenderBody()


    @Scripts.Render("~/bundles/jquery")
    @*@Scripts.Render("~/bundles/bootstrap")*@
    <script src="~/Scripts/bootstrap.js"></script>
    <script type="text/javascript" src="~/assets/widgets/parsley/parsley.js"></script>
    <script>
        $(function () {
            $(window).on('scroll', function () {
                if ($(window).scrollTop() > 10) {
                    $('.navbar').addClass('active');
                } else {
                    $('.navbar').removeClass('active');
                }
            });
        });
    </script>
    @RenderSection("scripts", required: false)
</body>
</html>

DemeWebTraning/Views/Shared/_LayoutHome.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Scripts.Render("~/bundles/modernizr")
    <link rel="stylesheet" type="text/css" href="~/Assets/css/bootstrap.css" />
    <link rel="stylesheet" href="~/Assets/css/style.css" type="text/css" />
    <link rel="stylesheet" href="~/Assets/css/font-icons.css" type="text/css" />
    <link rel="stylesheet" type="text/css" href="~/Assets/css/custom.css">

    <link rel="stylesheet" type="text/css" href="~/Content/home.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/boxicons@latest/css/boxicons.min.css">
    @*<link rel="stylesheet" type="text/css" href="~/Content/Plugins/font-awesome-4.7.0/css/font-awesome.min.css">*@
    <link rel="stylesheet" type="text/css" href="~/Content/lib/bootstrap-datepicker-th/css/bootstrap-datepicker.standalone.css" />
    <link rel="stylesheet" type="text/css" href="~/Content/lib/parsley/src/parsley.css" />
    <link rel="stylesheet" type="text/css" href="~/Content/lib/sweetalert2/sweetalert2.min.css" />
</head>
<body id="body-pd">
    <div class="loader" id="AjaxLoader" style="display:none;">
        <div class="strip-holder">
            <div class="strip-1"></div>
            <div class="strip-2"></div>
            <div class="strip-3"></div>
        </div>
    </div>
    <header class="header" id="header">
        <div class="header_toggle"> <i class='bx bx-menu' id="header-toggle"></i> </div>
        <div class="header_img"> <img src="https://i.imgur.com/hczKIze.jpg" alt=""> </div>
    </header>
    <div class="l-navbar" id="nav-bar">
        <nav class="nav">
            <div>
                <a href="#" class="nav_logo">
                    <i class='bx bx-layer nav_logo-icon'>
                    </i> <span class="nav_logo-name">BBBootstrap</span>
                </a>
                <div class="nav_list">
                    <a href="#" class="nav_link active">
                        <i class='bx bx-grid-alt nav_icon'></i>
                        <span class="nav_name">Dashboard</span>
                    </a>
                    <a href="#" class="nav_link">
                        <i class='bx bx-user nav_icon'></i>
                        <span class="nav_name">Users</span>
                    </a>
                    <a href="#" class="nav_link">
                        <i class='bx bx-message-square-detail nav_icon'></i>
                        <span class="nav_name">Messages</span>
                    </a>
                    <a href="#" class="nav_link">
                        <i class='bx bx-bookmark nav_icon'></i>
                        <span class="nav_name">Bookmark</span>
                    </a>
                    <a href="#" class="nav_link">
                        <i class='bx bx-folder nav_icon'></i>
                        <span class="nav_name">Files</span>
                    </a>
                    <a href="#" class="nav_link">
                        <i class='bx bx-bar-chart-alt-2 nav_icon'></i>
                        <span class="nav_name">Stats</span>
                    </a>
                </div>
            </div> <a href="#" class="nav_link"> <i class='bx bx-log-out nav_icon'></i> <span class="nav_name">SignOut</span> </a>
        </nav>
    </div>
    @RenderBody()
    @Scripts.Render("~/bundles/jquery")

    <!-- JavaScripts==================================== -->
    <script src="~/Scripts/bootstrap.js"></script>
    <script type="text/javascript" src="~/Content/lib/parsley/parsley.js"></script>
    <script src="~/Content/lib/bootstrap-datepicker-th/js/bootstrap-datepicker.js"></script>
    <script src="~/Content/lib/bootstrap-datepicker-th/js/bootstrap-datepicker-thai.js"></script>
    <script src="~/Content/lib/bootstrap-datepicker-th/js/locales/bootstrap-datepicker.th.js"></script>
    <script src="~/Content/lib/moment/moment.js"></script>
    <script src="~/Content/lib/moment/moment-with-locales.js"></script>
    <script src="~/Content/lib/jQuery-Mask-Plugin-master/dist/jquery.mask.min.js"></script>
    <script src="~/Content/lib/sweetalert2/sweetalert2.min.js"></script>
    <script src="~/Content/lib/sweetalert2/core.js"></script>
    <script src="~/Content/lib/sweetalert2/polyfill.js"></script>
    <script>
        document.addEventListener("DOMContentLoaded", function (event) {

            const showNavbar = (toggleId, navId, bodyId, headerId) => {
                const toggle = document.getElementById(toggleId),
                    nav = document.getElementById(navId),
                    bodypd = document.getElementById(bodyId),
                    headerpd = document.getElementById(headerId)

                // Validate that all variables exist
                if (toggle && nav && bodypd && headerpd) {
                    toggle.addEventListener('click', () => {
                        // show navbar
                        nav.classList.toggle('show')
                        // change icon
                        toggle.classList.toggle('bx-x')
                        // add padding to body
                        bodypd.classList.toggle('body-pd')
                        // add padding to header
                        headerpd.classList.toggle('body-pd')
                    })
                }
            }
            showNavbar('header-toggle', 'nav-bar', 'body-pd', 'header')

            const linkColor = document.querySelectorAll('.nav_link')
            function colorLink() {
                if (linkColor) {
                    linkColor.forEach(l => l.classList.remove('active'))
                    this.classList.add('active')
                }
            }
            linkColor.forEach(l => l.addEventListener('click', colorLink))
        });
    </script>
    @RenderSection("scripts", required: false)
</body>
</html>